package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 场地对应管理员信息表 
 * @TableName venue_admin
 */
@TableName(value ="venue_admin")
@Data
public class Admin implements Serializable {
    /**
     * 对应编号，主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 用户（管理员）编号
     */
    private Integer userId;

    /**
     * 管理场馆编号
     */
    private Integer typeId;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}