package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 用户答疑记录表
 * @TableName venue_question
 */
@TableName(value ="venue_question")
@Data
public class Question implements Serializable {
    /**
     * 编号
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 用户编号
     */
    private Integer userId;

    /**
     * 用户账号
     */
    private String username;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 疑问类型（建议 or 提问）
     */
    private String questionType;

    /**
     * 问题描述
     */
    private String description;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 状态（0：待处理， 1：已完成）
     */
    private Integer status;

    /**
     * 场馆
     */
    private String type;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}