package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 学校身份表
 * @TableName venue_school
 */
@TableName(value ="venue_school")
@Data
public class School implements Serializable {
    /**
     * 编号，主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 学工号
     */
    private String schoolNumber;

    /**
     * 类型（教工，职工，学生等）
     */
    private String type;

    /**
     * 所在部门（学院）
     */
    private String college;

    /**
     * 对应用户编号
     */
    private Integer userId;

    /**
     * 类型为学生，则表示专业信息；否则表示手机号码
     */
    private String description;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}