package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 
 * @TableName venue_user
 */
@TableName(value ="venue_user")
@Data
public class User implements Serializable {
    /**
     * 用户编号，主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 用户名称
     */
    private String username;

    /**
     * 账号
     */
    private String account;

    /**
     * 账号密码
     */
    private String accessCode;

    /**
     * 联系电话
     */
    private String userPhone;

    /**
     * 电子邮箱
     */
    private String email;

    /**
     * 微信小程序openId
     */
    private String openId;

    /**
     * 账号类型 0：未认证用户，1：学生。2：教职工
     */
    private Integer type;

    /**
     * 账号注册时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime registerTime;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 是否上传头像图片
     */
    private Integer isUpload;

    /**
     * 用户信息修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime updateTime;

    /**
     * 是否完成学校身份信息认证
     */
    private Integer isCertify;

    /**
     * 剩余修改次数
     */
    private Integer operableTimes;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    private Double balance;
}