package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 系统操作日志表
 * @TableName venue_log
 */
@TableName(value ="venue_log")
@Data
public class VenueLog implements Serializable {
    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 操作用户名
     */
//    private String username;

    /**
     * 操作类型（如CREATE/UPDATE/DELETE）
     */
    private String operationType;

    /**
     * 操作描述
     */
    private String operationDesc;

    /*
      方法参数（JSON序列化）
     */
//    private String params;

    /**
     * 方法返回结果（JSON序列化）
     */
    private String result;

    /**
     * 执行状态（SUCCESS/FAIL）
     */
    private String status;

    /**
     * 错误信息
     */
    private String errorMsg;

    /**
     * 执行耗时（毫秒）
     */
    private Long time;

    /**
     * 操作IP地址
     */
    private String ip;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}