package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalTime;
import lombok.Data;

/**
 * 场地预约时间段表格
 * @TableName venue_time
 */
@TableName(value ="venue_time")
@Data
public class VenueTime implements Serializable {
    /**
     * 时间模块编号，主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 开始时间
     */
    private LocalTime startTime;

    /**
     * 结束时间
     */
    private LocalTime endTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}